<div class="sub-ibox-filter">

  <div id="account-filter-body" class="collapse show">

    <div class="p-2">

      <form [formGroup]="formGroup" (ngSubmit)="onSubmit()" appFocusInvalidInput autocomplete="off">

        <div class="row">

          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.OPPORTUNITE.TYPE'|translate}}</label> -->
            <ngx-select [items]="oppTypesList" [optionValueField]="'value'" [optionTextField]="'value'"
              formControlName="type" [placeholder]="'FIELD.OPPORTUNITE.TYPE'|translate" size='small' ngDefaultControl>
            </ngx-select>

            <div *ngIf="formGroup.get('type').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('type').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-3">
            <!-- <label class="col-form-label">{{'FIELD.OPPORTUNITE.DATE_CREATION'|translate}}</label> -->
            <input type="text" class="form-control form-control-sm" formControlName="dateCreation" [owlDateTime]="dt"
              [placeholder]="'FIELD.OPPORTUNITE.DATE_CREATION'|translate">
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt">
              <i class="ri-calendar-line"></i>
            </span>
            <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>

            <div *ngIf="formGroup.get('dateCreation').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('dateCreation').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="text-left buttons-oriontation col-md-2 mt-3">
            <button type="button" class="reset-button btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET' | translate"
              (click)="initFormGroup()">
              <i class="ri-arrow-go-back-line"></i>
            </button>
            <button type="submit" class="submit-button btn btn-sm" [title]="'FIELD.BUTTONS.SEARCH' | translate">
              <i class="ri-search-2-line"></i>
            </button>
          </div>

        </div>



      </form>

    </div>

  </div>

</div>
